package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.Dictionary;

/**
 * @Description : 采购合同结算与付款
 * @Author : JiaYf
 * @Date: 2021-09-17 18:00
 */
@TableName("c_purch_contract_settle_payment")
public class PurchContractSettlePayment extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("c_purch_contract_basic_info_id")
    private Long purchContractBasicInfoId;

    /**
     * 银行名称
     */
    @TableField("bank_name")
    private String bankName;

    /**
     * 供应商收款账户名
     */
    @TableField("bank_account_name")
    private String bankAccountName;

    /**
     * 收款账号
     */
    @TableField("bank_account")
    private String bankAccount;

    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }
    public String getBankAccountName() {
        return bankAccountName;
    }

    public void setBankAccountName(String bankAccountName) {
        this.bankAccountName = bankAccountName;
    }
    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    @Override
    public String toString() {
        return "CPurchContractSettlePayment{" +
                ", bankName=" + bankName +
                ", bankAccountName=" + bankAccountName +
                ", bankAccount=" + bankAccount +
                "}";
    }
}
